Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 2069427

Summary: F36FailsToInstall: mingw32-llvm, mingw64-llvm
Product: [Fedora] Fedora Reporter: Miro Hrončok <mhroncok>
Component: mingw-llvmAssignee: Sandro Mani <manisandro>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 36CC: fzatlouk, lnie, manisandro, spacewar
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard: AcceptedFreezeException
Fixed In Version: mingw-llvm-13.0.1-3.fc36 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2022-04-14 23:22:39 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On:    
Bug Blocks: 1953786, 1992487    

Description Miro Hrončok 2022-03-28 21:07:48 UTC
Hello,

Please note that this comment was generated automatically. If you feel that this output has mistakes, please contact me via email (mhroncok).

Your package (mingw-llvm) Fails To Install in Fedora 36:

can't install mingw32-llvm:
  - nothing provides libLLVMSupport.so.13()(64bit) needed by mingw32-llvm-13.0.0-4.fc36.x86_64
  - nothing provides libLLVMTableGen.so.13()(64bit) needed by mingw32-llvm-13.0.0-4.fc36.x86_64
  - nothing provides libLLVMTableGenGlobalISel.so.13()(64bit) needed by mingw32-llvm-13.0.0-4.fc36.x86_64
  
can't install mingw64-llvm:
  - nothing provides libLLVMSupport.so.13()(64bit) needed by mingw64-llvm-13.0.0-4.fc36.x86_64
  - nothing provides libLLVMTableGen.so.13()(64bit) needed by mingw64-llvm-13.0.0-4.fc36.x86_64
  - nothing provides libLLVMTableGenGlobalISel.so.13()(64bit) needed by mingw64-llvm-13.0.0-4.fc36.x86_64
  
If you know about this problem and are planning on fixing it, please acknowledge so by setting the bug status to ASSIGNED. If you don't have time to maintain this package, consider orphaning it, so maintainers of dependent packages realize the problem.


If you don't react accordingly to the policy for FTBFS/FTI bugs (https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/), your package may be orphaned in 8+ weeks.


P.S. The data was generated solely from koji buildroot, so it might be newer than the latest compose or the content on mirrors. To reproduce, use the koji/local repo only, e.g. in mock:

    $ mock -r fedora-36-x86_64 --disablerepo='*' --enablerepo=local install mingw32-llvm mingw64-llvm


P.P.S. If this bug has been reported in the middle of upgrading multiple dependent packages, please consider using side tags: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/#updating-inter-dependent-packages

Thanks!

Comment 1 Fedora Update System 2022-03-29 10:21:19 UTC
FEDORA-2022-0534a8703f has been submitted as an update to Fedora 36. https://bodhi.fedoraproject.org/updates/FEDORA-2022-0534a8703f

Comment 2 Fedora Update System 2022-03-30 02:25:51 UTC
FEDORA-2022-0534a8703f has been pushed to the Fedora 36 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2022-0534a8703f`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-0534a8703f

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 3 lnie 2022-04-14 08:04:22 UTC
Both mingw32-llvm and mingw64-llvm can be installed successfully

Comment 4 František Zatloukal 2022-04-14 11:17:23 UTC
Discussed in ticket: https://pagure.io/fedora-qa/blocker-review/issue/752

The decision to classify this bug as an AcceptedFreezeException was made:

"We usually accept FTBFS/FTI fixes in during the Freeze."

Comment 5 Fedora Update System 2022-04-14 23:22:39 UTC
FEDORA-2022-0534a8703f has been pushed to the Fedora 36 stable repository.
If problem still persists, please make note of it in this bug report.